Get effective ESI capabilities for the project.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"capabilities": {
"ai_surface": {
"view": true
},
"dangling_dns": {
"manage": true,
"view": true
},
"dashboard": {
"view": true
},
"findings": {
"manage": true,
"view": true
},
"inventory": {
"manage": true,
"view": true
},
"search": {
"view": true
},
"secrets": {
"manage": true,
"view": true
},
"services": {
"manage": true,
"view": true
},
"typosquatting": {
"manage": true,
"view": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Project overview
Get effective ESI capabilities for the project.
Returns the product capabilities granted by the authenticated actor’s effective organisation, group, entitlement, credential, and project authorization. Project access is resolved before this projection; individual ESI endpoints remain independently enforced by the API.
GET
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
capabilities
Get effective ESI capabilities for the project.
curl --request GET \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/capabilities"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"capabilities": {
"ai_surface": {
"view": true
},
"dangling_dns": {
"manage": true,
"view": true
},
"dashboard": {
"view": true
},
"findings": {
"manage": true,
"view": true
},
"inventory": {
"manage": true,
"view": true
},
"search": {
"view": true
},
"secrets": {
"manage": true,
"view": true
},
"services": {
"manage": true,
"view": true
},
"typosquatting": {
"manage": true,
"view": true
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}⌘I